Displaying 1 result from an estimated 1 matches for "usr_includ".
Did you mean:
usr_include
2016 Apr 13
0
[PATCH 1/1] x32 support
...tree/x32
new file mode 100644
index 0000000..d292819
--- /dev/null
+++ b/scripts/mk_srctree/x32
@@ -0,0 +1,45 @@
+#!/bin/sh
+
+[ "$V" = "1" ] && set -x
+set -e
+
+USR_KLIBC="usr/klibc/arch/x32"
+KLIBC_LINKS="Kbuild sigreturn.S syscall.S sysstub.ph"
+
+USR_INCLUDE="usr/include/arch/x32"
+INCLUDE_LINKS="klibc/archconfig.h klibc/archsignal.h"
+
+create_links() {
+ for l in $INCLUDE_LINKS; do
+ ln -sf ../../x86_64/$l $USR_INCLUDE/$l
+ done
+
+ for l in $KLIBC_LINKS; do
+ ln -sf ../x86_64/$l $USR_KLIBC/$l
+ done
+}
+
+del_links() {
+ for l i...